petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFEIntegrateBd

Produce the integral for the given field for a chunk of elements by quadrature integration

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEIntegrateBd(PetscFE fem, PetscDS prob, PetscInt field,
                                      void (*obj_func)(PetscInt, PetscInt, PetscInt,
                                                       const PetscInt[], const PetscInt[], const PetscScalar[], const PetscScalar[], const PetscScalar[],
                                                       const PetscInt[], const PetscInt[], const PetscScalar[], const PetscScalar[], const PetscScalar[],
                                                       PetscReal, const PetscReal[], const PetscReal[], PetscInt, const PetscScalar[], PetscScalar[]),
                                      PetscInt Ne, PetscFEGeom *geom, const PetscScalar coefficients[], PetscDS probAux, const PetscScalar coefficientsAux[], PetscScalar integral[])

Not collective

### Input Parameters

| fem | - The PetscFE object for the field being integrated
| prob | - The PetscDS specifying the discretizations and continuum functions
| field | - The field being integrated
| obj_func | - The function to be integrated
| Ne | - The number of elements in the chunk
| fgeom | - The face geometry for each face in the chunk
| coefficients | - The array of FEM basis coefficients for the elements
| probAux | - The PetscDS specifying the auxiliary discretizations
| coefficientsAux | - The array of FEM auxiliary basis coefficients for the elements

Output Parameter

integral -the integral for this field

### See Also

PetscFEIntegrateResidual()

### Level

developer

### Location

src/dm/dt/fe/interface/fe.c

### Implementations

src/dm/dt/fe/impls/basic/febasic.c:277:PetscErrorCode PetscFEIntegrateBd_Basic(PetscFE fem, PetscDS prob, PetscInt field,
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages